Nukleus::Engine.routes.draw do
    scope :format => true, :constraints => { :format => 'json' } do
        scope '/api' do 
            scope '/v1' do
                scope :documents, :controller => "documents" do
                    get    ""         => "documents#index" 
                    post   ""         => "documents#create"

                    get    ":id/edit" => "documents#edit"
                    get    ":id"      => "documents#show"
                    patch  ":id"      => "documents#update"
                    put    ":id"      => "documents#update"
                    delete ":id"      => "documents#destroy"
                end
            end
        end
    end
end
